Type to search.

Get cloud connector usage (package policies using the connector)

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.2 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get a list of package policies that are using a given cloud connector.

Required privileges

Privileges fleet-agent-policies-read or integrations-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

cloudConnectorId string · min length: 0 required

The unique identifier of the cloud connector.

Query parameters

page number · min: 1

The page number for pagination.

perPage number · min: 1

The number of items per page.

Responses

OK: A successful request.

application/json
items object[] · max items: 10000 required
created_at string required
id string required
name string required
policy_ids string[] · max items: 10000 required
updated_at string required
page number required
perPage number required
total number required